## org.eclipse.datatools.sqltools.core
Class AbstractDatabaseSetting

    java.lang.Object
      org.eclipse.datatools.sqltools.core.AbstractDatabaseSetting

All Implemented Interfaces:
  IDatabaseSetting

public abstract class AbstractDatabaseSetting
extends java.lang.Object
implements IDatabaseSetting

Author:
  Hui Cao

Nested Class Summary

Nested classes inherited from class org.eclipse.datatools.sqltools.core.IDatabaseSetting
`IDatabaseSetting.NotSupportedSettingException`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.core.IDatabaseSetting
`C_CHAINED_MODE, C_QUOTED_IDENTIFIER, P_CASE_SENSITIVE`

Constructor Summary
`AbstractDatabaseSetting(DatabaseIdentifier databaseIdentifier)`

Method Summary
`java.lang.Object` `getProperty(java.lang.String propName)` Retrieves the database level configuration value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.core.IDatabaseSetting
`getConnectionConfigProperty, getLaunchConfigProperty`

Constructor Detail

### AbstractDatabaseSetting

    public AbstractDatabaseSetting(DatabaseIdentifier databaseIdentifier)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String propName)
                                 throws IDatabaseSetting.NotSupportedSettingException

  Description copied from interface: `IDatabaseSetting`
  Retrieves the database level configuration value

  Specified by:
    `getProperty` in interface `IDatabaseSetting`
  Parameters:
    `propName` - the property name
  Returns:
    the database level configuration value
  Throws:
    `IDatabaseSetting.NotSupportedSettingException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.